Bug 9216 - Provide a CAPTCHA example that is in accord with WCAG 2 or Defer to "HTML5: Techniques for providing useful text alternatives"
Provide a CAPTCHA example that is in accord with WCAG 2 or Defer to "HTML5: T...
Status: CLOSED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P1 normal
: ---
Assigned To: steve faulkner
HTML WG Bugzilla archive list
http://www.w3.org/TR/2011/WD-html5-20...
: a11y, a11ytf, a11y_text-alt
Depends on: 8171 9169
Blocks: 8716
  Show dependency treegraph
 
Reported: 2010-03-08 16:42 UTC by Laura Carlson
Modified: 2013-04-01 11:55 UTC (History)
10 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laura Carlson 2010-03-08 16:42:26 UTC
SPEC SECTION: Images whose contents are not known [1] 

The "Images whose contents are not known" section of the HTML5 spec contains the following CAPTCHA example.

Sometimes the entire point of the image is that a textual description is not available, and the user is to provide the description. For instance, the point of a CAPTCHA image is to see if the user can literally read the graphic. Here is one way to mark up a CAPTCHA (note the title attribute):

<p><label>What does this image say?
<img src="captcha.cgi?id=8934" title="CAPTCHA">
<input type=text name=captcha></label>
(If you cannot see the image, you can use an <a
href="?audio">audio</a> test instead.)</p>

BUG DESCRIPTION:

A text alternative for this example is missing. Please provide one that is in line with WCAG 2 or defer to "HTML5: Techniques for providing useful text alternatives": http://dev.w3.org/html5/alt-techniques/ as a CAPTCHA example will be added there per bug 9169
http://www.w3.org/Bugs/Public/show_bug.cgi?id=9169

REFERENCES:

http://dev.w3.org/html5/spec/text-level-semantics.html#unknown-images [1]

HTML5 ISSUE AND CHANGE PROPOSAL:

This is associated with HTML TRACKER ISSUE-31 
http://www.w3.org/html/wg/tracker/issues/31

Change Proposal: Replace img Guidance for Conformance Checkers:
http://www.w3.org/html/wg/wiki/ChangeProposals/ImgElement20090126
Comment 1 Maciej Stachowiak 2010-03-23 06:20:29 UTC
Requesting expedited processing of this bug on behalf of the HTML WG.
Comment 2 Ian 'Hixie' Hickson 2010-03-23 09:36:21 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: 

WCAG2's suggestion on the matter is a workaround for a limitation of HTML4. We should be careful when applying WCAG2 suggestions to HTML5 to not automatically assume the advice in WCAG2 is the best possible solution, as it is constrained by what HTML4 allowed. HTML5's solution avoids conflating alternatives and purpose descriptions, and as such is an improvement over what could be done in HTML4.
Comment 3 Michael Cooper 2010-08-31 14:06:11 UTC
http://lists.w3.org/Archives/Public/public-html-a11y/2010Aug/0124.html

The bug triage sub-team believes the HTML A11Y TF should take up this bug. Additional notes may follow in a separate comment.
Comment 4 Michael Cooper 2010-09-02 13:17:24 UTC
Bug triage sub-team says bug should be reopened as WCAG techniques can be extended anytime and are not limited to HTML4.
Comment 5 Michael Cooper 2010-09-07 16:14:52 UTC
Bug triage sub-team assigning to Steve to provide additional information in the context of other text alternative work related to ISSUE-31.
Comment 6 Laura Carlson 2010-09-11 17:46:54 UTC
This bug is part of Issue 31 and already a tracker issue so it should not have been reopened per the decision policy.
 
Steve has already added a CAPTCHA example and fixed bug 9169 in his doc: http://dev.w3.org/html5/alt-techniques/
Comment 7 John Foliot 2012-12-11 18:34:31 UTC
Move to HTML5: Techniques for providing useful text alternatives - http://dev.w3.org/html5/alt-techniques/
Comment 8 John Foliot 2012-12-11 18:37:27 UTC
there is already an example in Steve's doc: http://dev.w3.org/html5/alt-techniques/#sec13
Comment 9 Laura Carlson 2012-12-11 20:18:27 UTC
(In reply to comment #8)
> there is already an example in Steve's doc:
> http://dev.w3.org/html5/alt-techniques/#sec13

Hi John,

I already know there is already an example in Steve's doc as I requested it in the first place in Bug 9169.

The whole point is that the Steve's document and HTML5 are in conflict. This bug has NOT been fixed in HTML5 proper.

I am marking this bug as TrackerRequest to escalate it to an ISSUE.  

Suggested tracker title: Provide a CAPTCHA example that is in accord with WCAG 2 or Defer to "HTML5: Techniques for providing useful text alternatives"

Tracker Description: 

Currently HTML5 Spec has an example:

<label>What does this image say?
<img src="captcha.cgi?id=8934" title="CAPTCHA">
<input type=text name=captcha></label>
(If you cannot see the image, you can use an <a
href="?audio">audio</a> test instead.)</p>
http://www.w3.org/html/wg/drafts/html/CR/embedded-content-0.html#unknown-images

A text alternative for this example is missing. It needs an alt attribute. Please provide one in HTML5 proper so that it is that is in accord with WCAG 2 or REMOVE the example completely and link to "HTML5: Techniques for providing useful text alternatives": http://dev.w3.org/html5/alt-techniques/#captcha as a CAPTCHA example has be added there per bug 9169
http://www.w3.org/Bugs/Public/show_bug.cgi?id=9169
Comment 10 steve faulkner 2013-01-09 16:36:52 UTC
propose that as part of the work to resolve the overarching issues with alt advice in HTML5 we add an example to the spec taking http://dev.w3.org/html5/alt-techniques/#sec13 as the basis for the addition.
Comment 11 Laura Carlson 2013-01-09 16:47:20 UTC
Hi Steve,

(In reply to comment #10)
> propose that as part of the work to resolve the overarching issues with alt
> advice in HTML5 we add an example to the spec taking
> http://dev.w3.org/html5/alt-techniques/#sec13 as the basis for the addition.

Removing Ian's advice and inserting yours would solve this bug. If/when that is accomplished, I'll remove the tracker request.

Thank you very much Steve.
Comment 12 Sam Ruby 2013-01-09 16:57:33 UTC
TrackerRequest is for bugs in RESOLVED state.
Comment 13 Laura Carlson 2013-01-09 17:43:12 UTC
Hi Sam,

(In reply to comment #12)
> TrackerRequest is for bugs in RESOLVED state.

So how long is it going to take to resolve it now Sam? Another three years?

Quite the manipulation game you are playing. Keep delaying until it is too late. It is the same type of thing you did to longdesc.
Comment 14 steve faulkner 2013-01-09 18:14:19 UTC
(In reply to comment #13)
> Hi Sam,
> 
> (In reply to comment #12)
> > TrackerRequest is for bugs in RESOLVED state.
> 
> So how long is it going to take to resolve it now Sam? Another three years?
> 
> Quite the manipulation game you are playing. Keep delaying until it is too
> late. It is the same type of thing you did to longdesc.

Hi Laura, as we are now working with the new editors I expect that the issue will be resolved amicably in the near future.
Comment 15 Laura Carlson 2013-01-09 18:20:11 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > Hi Sam,
> > 
> > (In reply to comment #12)
> > > TrackerRequest is for bugs in RESOLVED state.
> > 
> > So how long is it going to take to resolve it now Sam? Another three years?
> > 
> > Quite the manipulation game you are playing. Keep delaying until it is too
> > late. It is the same type of thing you did to longdesc.
> 
> Hi Laura, as we are now working with the new editors I expect that the issue
> will be resolved amicably in the near future.

Hi Steve,

I really hope you are right. Time will tell.
Comment 16 steve faulkner 2013-02-09 10:46:11 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: added captcha advice/example in accordance with WCAG 2.0
Rationale: agreed with comment 1.
Comment 18 Laura Carlson 2013-02-11 12:54:43 UTC
Thank you VERY much. Great job, Steve. Nice to see some of our Action 54 work [1] put to good use :-) 

Can you please fix this bug in HTML5? Bug 9216 is a pre-LC1 HTML5 bug (please consult bug history) and should be fixed in HTML5 and not delayed to 5.1.

Thanks again.

[1] http://www.w3.org/html/wg/wiki/Action54AltAttribute#CAPTCHA_Images
Comment 19 steve faulkner 2013-02-11 18:47:39 UTC
(In reply to comment #18)
> Thank you VERY much. Great job, Steve. Nice to see some of our Action 54
> work [1] put to good use :-) 
> 
> Can you please fix this bug in HTML5? Bug 9216 is a pre-LC1 HTML5 bug
> (please consult bug history) and should be fixed in HTML5 and not delayed to
> 5.1.
> 
> Thanks again.
> 
> [1] http://www.w3.org/html/wg/wiki/Action54AltAttribute#CAPTCHA_Images

Hi Laura, i had an informal discussion with Robin about getting the advice back ported to 5.0. I suggested that as for any other relevant changes to 5.0 we add them initially to the 5.1 editors draft where they can be reviewed and changed where necessary, once they have settled we can add them to 5.0. I further suggested that an appropriate point to do this is after we next publish a 5.1 WD.
Comment 20 Laura Carlson 2013-02-14 17:46:09 UTC
Hi Steve,

(In reply to comment #19)
> (In reply to comment #18)
> > Thank you VERY much. Great job, Steve. Nice to see some of our Action 54
> > work [1] put to good use :-) 
> > 
> > Can you please fix this bug in HTML5? Bug 9216 is a pre-LC1 HTML5 bug
> > (please consult bug history) and should be fixed in HTML5 and not delayed to
> > 5.1.
> > 
> > Thanks again.
> > 
> > [1] http://www.w3.org/html/wg/wiki/Action54AltAttribute#CAPTCHA_Images
> 
> Hi Laura, i had an informal discussion with Robin about getting the advice
> back ported to 5.0. 

Thank you very much for reaching out to Robin on this. I really appreciate your footwork. 

> I suggested that as for any other relevant changes to
> 5.0 we add them initially to the 5.1 editors draft where they can be
> reviewed and changed where necessary, 

Is that what is happening to other bugs that were Pre LC1 HTML5.0 bugs? Are they all going into 5.1 first for review?

> once they have settled we can add them
> to 5.0. I further suggested that an appropriate point to do this is after we
> next publish a 5.1 WD.

What date will back-ported changes be incorporated into HTML5.0 then?

Thanks again.
Comment 21 steve faulkner 2013-03-30 11:29:51 UTC
(In reply to comment #18)
> Thank you VERY much. Great job, Steve. Nice to see some of our Action 54
> work [1] put to good use :-) 
> 
> Can you please fix this bug in HTML5? Bug 9216 is a pre-LC1 HTML5 bug
> (please consult bug history) and should be fixed in HTML5 and not delayed to
> 5.1.
> 
> Thanks again.
> 
> [1] http://www.w3.org/html/wg/wiki/Action54AltAttribute#CAPTCHA_Images

EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: added captcha advice/example in accordance with WCAG 2.0 to HTML5 https://github.com/w3c/html/commit/1443d620a3bc433e492e8360a469c15e5b14492f
Rationale: agreed with comment 1.
Comment 22 Laura Carlson 2013-04-01 11:55:39 UTC
(In reply to comment #21)

> Status: Accepted
> Change Description: added captcha advice/example in accordance with WCAG 2.0
> to HTML5
> https://github.com/w3c/html/commit/1443d620a3bc433e492e8360a469c15e5b14492f
> Rationale: agreed with comment 1.

From the bottom of my heart, thank you much for fixing this Steve. I am marking this bug closed.